Skip to main content
`Ctrl`+`K`

# open

open_(filename: str | PathLike[Any] | PurePath | Path, mode: str = 'rt', **kwargs: Any) → IO[Any]

  open that handles different compression

  Parameters:
    filename

      path or url, if a url delegates processing to open_url

    mode

      standard file opening mode

    kwargs

      passed to open functions

  Returns:
    an object compatible with the file protocol